Sync wxwidgets3.0 3.0.0-1 (universe) from Debian sid (main)

Bug #1253003 reported by Oibaf on 2013-11-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
wxwidgets2.8 (Debian)
Fix Released
Unknown
wxwidgets2.8 (Ubuntu)
High
Dmitry Shachnev

Bug Description

Please sync wxwidgets3.0 3.0.0-1 (universe) from Debian sid (main)

All changelog entries:

wxwidgets3.0 (3.0.0-1) unstable; urgency=low

  * New upstream release! (Closes: #613431, #492896)
    + Incorporates all our patches.
    + __WXDEBUG__ is now on by default, so our -dbg packages now just contain
      detached debugging symbols. (Closes: #655251)
    + Upstream tarball is now DFSG-free, so we no longer repack it.
  * The wxwidgets2.8 source package was based on wxPython sources, but
    wxwidgets3.0 is based on wxWidgets. The major motivation is we don't want
    to wait until wxPython 3.0.0 is released to package wxWidgets 3.0.0, but
    it's probably better overall anyway. Currently the "-doc" package is gone
    (as these docs aren't in wx source code distribution), but this should
    reappear in the near future.
  * debian/control: Drop conflicts against packages (or versions of packages)
    which no longer exist in any supported Debian or Ubuntu release.

 -- Olly Betts <email address hidden> Tue, 12 Nov 2013 11:38:12 +0000

[cut old changelog entries]

Dmitry Shachnev (mitya57) wrote :

Auto-sync output (via cjwatson):

[New] wxwidgets3.0_3.0.0-1
No previous publications in Ubuntu
OK (Y/n)? y
 * Trying to add wxwidgets3.0 ...
wxwidgets3.0_3.0.0-1 is trying to override modified binary wx-common_2.8.12.1-14ubuntu2. OK (y/N)? n

Looks like the package has file conflicts with wx-common. That needs to be fixed, and after that the package will be auto-synced.

Dmitry Shachnev (mitya57) wrote :

Sorry, I meant "conflicting package names", not "file conflicts".

Martin Pitt (pitti) wrote :

More precisely, you need to determine whether the two ubuntu changes in https://launchpad.net/ubuntu/+source/wxwidgets2.8/+changelog need to be ported to wxwidgets3.0, or got merged/are not relevant any more.

Changed in debian:
status: Unknown → New
Oibaf (oibaf) wrote :

The conflict bug is fixed in Debian wxwidgets2.8 package. It should be merged in the Ubuntu version so that this can progress.

Changed in debian:
status: New → Fix Released
Dmitry Shachnev (mitya57) wrote :

Thanks, I will look at that in a couple of days.

affects: ubuntu → wxwidgets2.8 (Ubuntu)
Changed in wxwidgets2.8 (Ubuntu):
assignee: nobody → Dmitry Shachnev (mitya57)
importance: Undecided → High
status: New → In Progress
affects: debian → wxwidgets2.8 (Debian)
Dmitry Shachnev (mitya57) wrote :

For some reason auto-syncer still doesn't pick it up, will ask tomorrow about the reason.

Changed in wxwidgets2.8 (Ubuntu):
status: In Progress → Fix Committed
Dmitry Shachnev (mitya57) wrote :

Apparently we need a force-removal of old packages. Dmitrijs filed bug 1256605 for archive-admins to look at this.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wxwidgets2.8 - 2.8.12.1+dfsg-2ubuntu1

---------------
wxwidgets2.8 (2.8.12.1+dfsg-2ubuntu1) trusty; urgency=low

  * Merge with Debian unstable (LP: #1253003), remaining changes:
    - Disable bp-menubar-fix.patch.
    - Disable disable_media_python.patch to add wx.media to python-wxgtk2.8.
 -- Dmitry Shachnev <email address hidden> Sat, 30 Nov 2013 21:11:54 +0400

Changed in wxwidgets2.8 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.